aboutsummaryrefslogtreecommitdiff
path: root/dotfiles/.scripts/ddquakemite
diff options
context:
space:
mode:
authorYaroslav <contact@yaroslavps.com>2019-09-23 06:32:38 +0300
committerYaroslav <contact@yaroslavps.com>2019-09-23 06:32:38 +0300
commit93d2743e3864e9eab0699b1bb1ea5f01c10bdbc1 (patch)
treef5cab1472bf7d95aa72c43a713e104d2827b37a5 /dotfiles/.scripts/ddquakemite
downloadswayrice-93d2743e3864e9eab0699b1bb1ea5f01c10bdbc1.tar.gz
swayrice-93d2743e3864e9eab0699b1bb1ea5f01c10bdbc1.zip
initial commit
Diffstat (limited to 'dotfiles/.scripts/ddquakemite')
-rwxr-xr-xdotfiles/.scripts/ddquakemite12
1 files changed, 12 insertions, 0 deletions
diff --git a/dotfiles/.scripts/ddquakemite b/dotfiles/.scripts/ddquakemite
new file mode 100755
index 0000000..16855f4
--- /dev/null
+++ b/dotfiles/.scripts/ddquakemite
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+if ! [ -z $(swaymsg -t get_tree | grep 'quakemite') ]; then
+ if [ -z $(swaymsg -t get_tree | grep -A 42 'quakemite' | tail -n 1 | grep 'true') ]; then
+ swaymsg '[title="quakemite"] scratchpad show'
+ else
+ swaymsg '[title="quakemite"] move scratchpad'
+ fi
+else
+ $TERMINAL -t "quakemite" -e "$SHELL -c 'TERM=st; TERMINAL=termite; tmux a || tmux'"
+fi
+